Вопрос проблемы с py2exe?


Поэтому я попытался установить py2exe однако меня ударили по лицу дорожным блоком. даже после установки idle-python3 и python3-minimal Я буду размещать информацию о регистрации вместе с этим сообщением об ошибке для py2exe установите проблемы.

команда, которую я запускаю,

sudo easy_install py2exe

Searching for py2exe
Reading https://pypi.python.org/simple/py2exe/
Reading http://sourceforge.net/project/showfiles.php?group_id=15583
Reading http://starship.python.net/crew/theller/py2exe/
Reading http://www.py2exe.org/
Best match: py2exe 0.9.2.0
Downloading https://pypi.python.org/packages/source/p/py2exe/py2exe-0.9.2.0.zip#md5=56357f14838f616d4265e004036bb89a
Processing py2exe-0.9.2.0.zip
Writing /tmp/easy_install-vtEkUt/py2exe-0.9.2.0/setup.cfg
Running py2exe-0.9.2.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-vtEkUt/py2exe-0.9.2.0/egg-dist-tmp-Tl19Zb
Traceback (most recent call last):
  File "/usr/bin/easy_install", line 9, in <module>
    load_entry_point('setuptools==3.3', 'console_scripts', 'easy_install')()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1963, in main
    with_ei_usage(lambda:
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1950, in with_ei_usage
    return f()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1967, in <lambda>
    distclass=DistributionWithoutHelpCommands, **kw
  File "/usr/lib/python2.7/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 381, in run
    self.easy_install(spec, not self.no_deps)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 616, in easy_install
    return self.install_item(spec, dist.location, tmpdir, deps)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 646, in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 834, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1040, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 1025, in run_setup
    run_setup(setup_script, args)
  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 50, in run_setup
    lambda: execfile(
  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 100, in run
    return func()
  File "/usr/lib/python2.7/dist-packages/setuptools/sandbox.py", line 52, in <lambda>
    {'__file__':setup_script, '__name__':'__main__'}
  File "setup.py", line 10, in <module>
RuntimeError: This package requires Python 3.3 or later

Вот информация, когда я запускаю sudo apt-get install python3-minimal

Reading package lists... Done
Building dependency tree       
Reading state information... Done
python3-minimal is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

и когда я запускаю sudo apt-get install idle-python3.4

Reading package lists... Done
Building dependency tree       
Reading state information... Done
idle-python3.4 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded

Будем очень благодарны за любые предложения по работе или способы решения этой проблемы.


2
2017-09-15 17:29


происхождения




ответы:


предпочитать pip над easy_install:

sudo apt-get install python3-pip

Затем установите py2exe со следующей командой 14.04:

$ sudo pip3 install py2exe
[sudo] password for sylvain: 
Downloading/unpacking py2exe
  Downloading py2exe-0.9.2.0-py33.py34-none-any.whl (253kB): 253kB downloaded
Installing collected packages: py2exe
Successfully installed py2exe
Cleaning up...

1
2017-09-15 18:59



спасибо, я проверю это и дам вам знать, если я получу ошибки.